This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 250745 - Crashes on Startup: Error Type: <type 'exceptions.AttributeError'>
Crashes on Startup: Error Type: <type 'exceptions.AttributeError'>
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 09:07 EDT by Greg Douglas
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-05 12:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Douglas 2007-08-03 09:07:29 EDT
Description of problem:

Just upgraded from FC6.  When launching Yumex, it completes Yum Setup, then
Builds Package List, and crashes with the following message:

Error Type: <type 'exceptions.AttributeError'> 
Error Value: Updates instance has no attribute 'obsoletes' 
  File : /usr/share/yumex/yumex.py , line 778, in <module>
    mainApp = YumexApplication() 
  File : /usr/share/yumex/yumex.py , line 447, in __init__
    self.setupYum() 
  File : /usr/share/yumex/yumex.py , line 482, in setupYum
    self.yumbase.populatePackages(['installed','updates','available']) 
  File : /usr/share/yumex/packages.py , line 78, in populatePackages
    self._packages[flt] = [p for p in self._getPackages(flt)] 
  File : /usr/share/yumex/packages.py , line 175, in _getPackages
    obsoletes = self.up.getObsoletesTuples( newest=1 ) 
  File : /usr/lib/python2.5/site-packages/rpmUtils/updates.py , line 553, in
getObsoletesTuples
    obslist = self.obsoletes.keys() 



Version-Release number of selected component (if applicable): yumex-1.9.6-1.0.fc7


How reproducible: Every Time


Steps to Reproduce:
1. Launch yumex from Gnome: Applications > System Tools > Yum Extender
2.
3.
  
Actual results:
As indicated above

Expected results:
Worked fine in FC6

Additional info:
Comment 1 Tim Lauridsen 2007-08-03 09:18:17 EDT
try this as root:
yum update yum yumex
yum clean all
yumex
Comment 2 Greg Douglas 2007-08-03 10:32:15 EDT
Tried it, and still the same problem.  

There were no updates to yum and yumex.

Thanks.
Comment 3 Tim Lauridsen 2007-08-03 10:44:17 EDT
Weird:
The latest yumex in fedora-update is 1.9.10.

what does 
yumex --version

&

yum --version 

says.
Comment 4 Greg Douglas 2007-08-03 14:00:09 EDT
Indeed, I have just found a problem with my updates.repo file and have just
updated the system.

I am now at yumex version yumex-1.9.10-2.0.fc7

I have also replaced both yumex config files to the .rpmnew versions.

Unfortunately, I am still getting this:

Error Type: <type 'exceptions.AttributeError'> 
Error Value: Updates instance has no attribute 'obsoletes' 
  File : /usr/share/yumex/yumex.py , line 796, in <module>
    mainApp = YumexApplication() 
  File : /usr/share/yumex/yumex.py , line 459, in __init__
    self.setupYum() 
  File : /usr/share/yumex/yumex.py , line 494, in setupYum
    self.yumbase.populatePackages(['installed','updates','available']) 
  File : /usr/share/yumex/packages.py , line 83, in populatePackages
    self._packages[flt] = [p for p in self._getPackages(flt)] 
  File : /usr/share/yumex/packages.py , line 181, in _getPackages
    obsoletes = self.up.getObsoletesTuples( newest=1 ) 
  File : /usr/lib/python2.5/site-packages/rpmUtils/updates.py , line 553, in
getObsoletesTuples
    obslist = self.obsoletes.keys() 
Comment 5 Greg Douglas 2007-08-03 16:13:00 EDT
OK, I've got it fixed.  I also replaced the yum.conf to the newer
yum.conf.rpmnew, and then ran another yum update.

All appears well now

Thanks, and this can be closed.

Note You need to log in before you can comment on or make changes to this bug.